Update Monitor
curl --request PATCH \
--url https://api.pandaprobe.com/evaluations/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"metrics": [
"<string>"
],
"filters": {},
"sampling_rate": 0.5,
"model": "<string>",
"cadence": "<string>",
"only_if_changed": true,
"signal_weights": {}
}
'import requests
url = "https://api.pandaprobe.com/evaluations/monitors/{monitor_id}"
payload = {
"name": "<string>",
"metrics": ["<string>"],
"filters": {},
"sampling_rate": 0.5,
"model": "<string>",
"cadence": "<string>",
"only_if_changed": True,
"signal_weights": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
metrics: ['<string>'],
filters: {},
sampling_rate: 0.5,
model: '<string>',
cadence: '<string>',
only_if_changed: true,
signal_weights: {}
})
};
fetch('https://api.pandaprobe.com/evaluations/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/evaluations/monitors/{monitor_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"metrics\": [\n \"<string>\"\n ],\n \"filters\": {},\n \"sampling_rate\": 0.5,\n \"model\": \"<string>\",\n \"cadence\": \"<string>\",\n \"only_if_changed\": true,\n \"signal_weights\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"target_type": "<string>",
"metric_names": [
"<string>"
],
"filters": {},
"sampling_rate": 123,
"model": "<string>",
"cadence": "<string>",
"only_if_changed": true,
"status": "<string>",
"last_run_at": "<string>",
"last_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_run_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Monitors
Update Monitor
Update an evaluation monitor.
Auth: Bearer + X-Project-ID | X-API-Key + X-Project-Name
PATCH
/
evaluations
/
monitors
/
{monitor_id}
Update Monitor
curl --request PATCH \
--url https://api.pandaprobe.com/evaluations/monitors/{monitor_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"metrics": [
"<string>"
],
"filters": {},
"sampling_rate": 0.5,
"model": "<string>",
"cadence": "<string>",
"only_if_changed": true,
"signal_weights": {}
}
'import requests
url = "https://api.pandaprobe.com/evaluations/monitors/{monitor_id}"
payload = {
"name": "<string>",
"metrics": ["<string>"],
"filters": {},
"sampling_rate": 0.5,
"model": "<string>",
"cadence": "<string>",
"only_if_changed": True,
"signal_weights": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
metrics: ['<string>'],
filters: {},
sampling_rate: 0.5,
model: '<string>',
cadence: '<string>',
only_if_changed: true,
signal_weights: {}
})
};
fetch('https://api.pandaprobe.com/evaluations/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pandaprobe.com/evaluations/monitors/{monitor_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"metrics\": [\n \"<string>\"\n ],\n \"filters\": {},\n \"sampling_rate\": 0.5,\n \"model\": \"<string>\",\n \"cadence\": \"<string>\",\n \"only_if_changed\": true,\n \"signal_weights\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"target_type": "<string>",
"metric_names": [
"<string>"
],
"filters": {},
"sampling_rate": 123,
"model": "<string>",
"cadence": "<string>",
"only_if_changed": true,
"status": "<string>",
"last_run_at": "<string>",
"last_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_run_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
HTTPBearerApiKeyProjectIDProjectName
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Partial update of a monitor's configuration.
Response
Successful Response
Full evaluation monitor representation.

